LogoopenSUSE Build Service > Projects
Sign Up | Log In

View File admin.diff of Package kdelibs3 (Project KDE:KDE3)

Index: admin/acinclude.m4.in
===================================================================
--- admin/acinclude.m4.in.orig
+++ admin/acinclude.m4.in
@@ -4988,6 +4988,7 @@ AC_DEFUN([KDE_SET_PREFIX_CORE],
   fi
   # And delete superfluous '/' to make compares easier
   prefix=`echo "$prefix" | sed 's,//*,/,g' | sed -e 's,/$,,'`
+  kde_libs_htmldir=$prefix/share/doc/HTML/
   exec_prefix=`echo "$exec_prefix" | sed 's,//*,/,g' | sed -e 's,/$,,'`
 
   kde_libs_prefix='$(prefix)'
Index: admin/detect-autoconf.pl
===================================================================
--- admin/detect-autoconf.pl.orig
+++ admin/detect-autoconf.pl
@@ -216,7 +216,7 @@ $unsermake = "";
 # backward compatible: if $UNSERMAKE points to a path, use it
 $unsermake = findProgram('unsermake') if (defined($ENV{'UNSERMAKE'}) and $ENV{'UNSERMAKE'} =~ /\//);
 # new compatible: if it says 'yes', use the one from path
-$unsermake = which('unsermake') if ($ENV{'UNSERMAKE'} ne 'no');
+$unsermake = which('unsermake') if ($ENV{'UNSERMAKE'} eq 'yes');
 
 ($automake_suffix) = $automake =~ /.*automake(.*)$/;
 

--- admin/cvs.sh
+++ admin/cvs.sh
@@ -32,7 +32,7 @@ check_autotool_versions()
 required_autoconf_version="2.53 or newer"
 AUTOCONF_VERSION=`$AUTOCONF --version | head -n 1`
 case $AUTOCONF_VERSION in
-  Autoconf*2.5* | autoconf*2.5* | autoconf*2.6* ) : ;;
+  autoconf* ) : ;;
   "" )
     echo "*** AUTOCONF NOT FOUND!."
     echo "*** KDE requires autoconf $required_autoconf_version"
@@ -47,7 +47,7 @@ esac
 
 AUTOHEADER_VERSION=`$AUTOHEADER --version | head -n 1`
 case $AUTOHEADER_VERSION in
-  Autoconf*2.5* | autoheader*2.5* | autoheader*2.6* ) : ;;
+  autoheader* ) : ;;
   "" )
     echo "*** AUTOHEADER NOT FOUND!."
     echo "*** KDE requires autoheader $required_autoconf_version"
@@ -68,7 +68,7 @@ case $AUTOMAKE_STRING in
     echo "*** KDE requires automake $required_automake_version"
     exit 1
     ;;
-  automake*1.6.* | automake*1.7* | automake*1.8* | automake*1.9* | automake*1.10*)
+  automake*)
     echo "*** $AUTOMAKE_STRING found."
     UNSERMAKE=no
     ;;